Installer - Bug #31909

Enable pki-core DNF module if needed on EL8
02/17/2021 08:07 PM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: foreman-installer script
Target version: 2.4.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/653,
https://github.com/theforeman/foreman-i
nstaller/pull/651

2.4.0

Description

On ELS8 the pki-core module is needed by candlepin. candlepin-selinux pulls in candlepin. This means that in the installer the

SELinux workaround hook needs to enable the module.

Associated revisions

Revision e1f21bbb - 02/18/2021 12:50 PM - Ewoud Kohl van Wijngaarden
Fixes #31909 - Enable pki-core DNF module on EL8
On ELS8 the pki-core module is needed by candlepin. candlepin-selinux

pulls in candlepin. This means that in the installer the SELinux
workaround hook needs to enable the module.

History

#1 - 02/17/2021 08:10 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/653 added

#2 - 02/18/2021 12:50 PM - The Foreman Bot
- Fixed in Releases 2.5.0 added

#3 - 02/18/2021 01:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset installer|e1f21bbb35acad4dbdecd945b1db7b0f4f506ba22.

#4 - 02/18/2021 06:40 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/651 added

#5 - 02/22/2021 02:33 PM - Ewoud Kohl van Wijngaarden
- Category set to foreman-installer script
- Target version set to 2.4.0

- Triaged changed from No to Yes

#6 - 03/10/2021 05:33 PM - Ewoud Kohl van Wijngaarden
- Fixed in Releases deleted (2.5.0)
